# TODO
# - build and package docs
# - tests need redis and mongo db
#
# Conditional build:
%bcond_with	doc	# don't build doc
%bcond_with	tests	# do not perform "make test"
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module

%define 	module	requests_cache
Summary:	Persistent cache for requests library
Name:		python-%{module}
Version:	0.4.12
Release:	11
License:	BSD
Group:		Libraries/Python
Source0:	https://github.com/reclosedev/requests-cache/archive/v%{version}/%{module}-%{version}.tar.gz
# Source0-md5:	11dc472117610575df875237d661c38a
URL:		https://github.com/reclosedev/requests-cache
BuildRequires:	rpm-pythonprov
%if %{with python2}
BuildRequires:	python-modules
BuildRequires:	python-setuptools
%if %{with tests}
BuildRequires:	python-requests >= 1.1.0
%endif
%endif
%if %{with python3}
BuildRequires:	python3-modules
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-requests >= 1.1.0
%endif
%endif
%if %{with doc}
BuildRequires:	python3-sphinx
BuildRequires:	sphinx-pdg
%endif
Requires:	python-requests >= 1.1.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Requests-cache is a transparent persistent cache for the requests
library.

%package -n python3-%{module}
Summary:	Persistent cache for requests library
Group:		Libraries/Python
Requires:	python3-requests >= 1.1.0

%description -n python3-%{module}
Requests-cache is a transparent persistent cache for the requests
library.

%prep
%setup -q -n requests-cache-%{version}

%build
%if %{with python2}
%py_build %{?with_tests:test}
%endif

%if %{with python3}
%py3_build %{?with_tests:test}
%endif

%if %{with doc}
sphinx-build docs html
rm -rf html/.{doctrees,buildinfo}

sphinx-build-3 docs html
rm -rf html/.{doctrees,buildinfo}
%endif

%install
rm -rf $RPM_BUILD_ROOT
%if %{with python2}
%py_install
%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc README.rst LICENSE
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/%{module}-%{version}*
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc README.rst LICENSE
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{module}-%{version}*
%endif
%changelog
* Tue Mar 11 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-requests_cache.git;a=log;h=master

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> 5c50bce
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> 059a66f
- python 3.13 rebuild

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> c178fee
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 9ef4fdb
- Release 8 (by relup.sh)

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 65cb37c
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> ec74bb3
- rebuild with python 3.10

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> 7543657
- release 5 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> e7b022c
- rebuild with python 3.8
- release 4 (by relup.sh)

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> a76fd5b
- release 3 (by relup.sh)

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 94b3a9b
- python 3.6
- release 2 (by relup.sh)

* Sun Jun 05 2016 Elan Ruusamäe <glen@delfi.ee> 75c03a8
- pythonprov dep

* Sun Jun 05 2016 Elan Ruusamäe <glen@delfi.ee> 0bbbcc4
- rename to python-requests_cache to match python import not pip name

* Sun Jun 05 2016 Elan Ruusamäe <glen@delfi.ee> 2e96db5
- up to 0.4.12

* Sun Jun 05 2016 Elan Ruusamäe <glen@delfi.ee> ba99ecf
- new, version 0.4.6

